# NOTE: Derived from blib/lib/Text/EP3.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Text::EP3;

#line 1893 "blib/lib/Text/EP3.pm (autosplit into blib/lib/auto/Text/EP3/debug.al)"
# Turn Debugging on (prints lines to output file, not STDERR)
# usage: @debug on|off|value
# the on value is 1, the off value is 0
# 
# Debug values are 
# 0x01  1  - Primary messages (Entering Subroutines)
# 0x02  2  - ep3_process Engine
# 0x04  4  - define (replace, macro, eval, enum)
# 0x08  8  - include
# 0x10  16 - if (else, ifdef, etc.)
# 0x20  32 - perl_begin/end
sub debug
{ 
    my $self = shift;
    my($inline)=@_;	# first line only
    my(@words)= split(' ',$inline);
    print "$self->{Line_Comment}EP3->debug: Entered debug.  Line $Text::EP3::line of $Text::EP3::filename  $words[1]\n" if $self->{Debug} & 1;
  
    if($#words < 1){
        print "$self->{Line_Comment}EP3->debug: Debug Currently Set to $self->{Debug}\n";
    } 
    elsif ($words[1] =~ /on/i){
        $self->{Debug} = 1;
        print "$self->{Line_Comment}EP3->debug: debug set to $self->{Debug}\n";
    } 
    elsif ($words[1] =~ /off/i){
        $self->{Debug} = 0;
        print "$self->{Line_Comment}EP3->debug: debug set to $self->{Debug}\n";
    } 
    elsif ($words[1] =~ /0x[a-h0-9]+/i){ # Allow  0x##
        $self->{Debug} = oct($words[1]);
        print "$self->{Line_Comment}EP3->debug: debug set to $self->{Debug}\n";
    } 
    elsif ($words[1] =~ /(~0|\d+)/i){ # Allow #'s or ~0 or 0x##
        $self->{Debug} = 0 | $words[1];		# Numeric Value
        print "$self->{Line_Comment}EP3->debug: debug set to $self->{Debug}\n";
    } 
    else {
        print "$self->{Line_Comment}EP3->debug: Ignoring $inline\n";
    }
}

# end of Text::EP3::debug
1;
