# NOTE: Derived from blib/lib/Text/EP3.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Text::EP3;

#line 1590 "blib/lib/Text/EP3.pm (autosplit into blib/lib/auto/Text/EP3/enum.al)"
sub enum
# Emulate enumerated lists by generating multiple defines
# usage: @enum key,key,key,[value],key, ...
{
    my $self = shift;
    my ($inline) = @_;		# Single arg: Cmd line
    my (@string,@dlist,$count);
    my ($directive, $key);
    my ($sigstring);
    my ($ecom)="$self->{Line_Comment}EP3->enum: ";
    my $signals;

    $count = 0;				# default initial value
    $sigstring = '';			# default initial value
    @string = split(' ',$inline);	# Split at spaces
    $directive = shift @string;		# Pop off the @enum
    $signals =  join(' ',@string);	# Put together
    $signals =~ s/ //g;			# Elim spaces
    @dlist = split(',',$signals);	# Split into list at commas
 
    print "$self->{Line_Comment}EP3->enum: Entered enum.  Line $Text::EP3::line of $Text::EP3::filename   $string[1]\n"		if $self->{Debug} & 1;
 
    # parse key string
    foreach $key (@dlist) {
        if ( $key =~ /^[0-9]*$/){
            # We can reinitialize the count at any point
            $count = $key;
        }
        else { # define the key as the number
            $directive = "$self->{Delimeter}define";
            $sigstring = "${directive} ${key} ${count}\n";
            $ecom .= " $key=${count},";
            $self->define($sigstring);
            $count++;
        }
    }
    # Remove trailing ','
    $ecom =~ s/,$//;
    print $ecom . "\n" if $self->{Debug} & 4;;
}

# end of Text::EP3::enum
1;
